<script setup>
import FishForm from "./FishForm.vue";
import Aquarium from "./Aquarium.vue";
import { ref } from "vue";

const fishes = ref([])
const addFish = (fish, name) => {
    fishes.value.push({id: fish.id, src: fish.src, name: name, x: generatePosition(), y: generatePosition(), hungry: 0})
}
function generatePosition() {
  return Math.floor(Math.random() * 900);
}
</script>
<template>
    <div class="main">
        <FishForm @add="addFish"></FishForm>
        <Aquarium :fishes="fishes"></Aquarium>
    </div>
</template>

<style scoped>
.main {
    display: flex;
    flex-direction: row;
}
</style>
